<!-- 查询管理-订单管理-交收单管理-支付 -->
<template>
    <app-drawer :title="t('query.order.delivery.pay.title')" v-model:show="show" :loading="loading" :refresh="refresh">
        <div class="g-text-message">{{ t('query.order.delivery.pay.tips1') }}</div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel' )}}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { sellGoods } from '@/services/api/order'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    record: {
        type: Object as PropType<Model.DeliveryOrderListRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    sellGoods({
        data: {
            deliveryorderid: props.record.deliveryorderid,
            marketid: props.record.marketid
        }
    }).then(() => {
        ElMessage.success(t('common.tips1'))
        onCancel(true)
    }).catch((err) => {
        ElMessage.error(t('common.tips2') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>